Package org.opensaml.xacml.policy

# Interface TargetType

All Superinterfaces:
  `XACMLObject`, `XMLObject`

All Known Implementing Classes:
  `TargetTypeImpl`

public interface TargetType extends XACMLObject
XACML Target schema type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Local name of the element Target.
`static final QName`
`DEFAULT_ELEMENT_NAME`
QName of the element Target.
`static final String`
`SCHEMA_TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`SCHEMA_TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`ActionsType`
`getActions()`
Gets the actions of this target.
`EnvironmentsType`
`getEnvironments()`
Gets the environments of this target.
`ResourcesType`
`getResources()`
Gets the resources of this target.
`SubjectsType`
`getSubjects()`
Gets the subjects of this target.
`void`
`setActions(ActionsType actions)`
Sets the actions in the target.
`void`
`setEnvironments(EnvironmentsType environments)`
Sets the environments in the target.
`void`
`setResources(ResourcesType resources)`
Sets the resources in the target.
`void`
`setSubjects(SubjectsType subjects)`
Sets the subjects in the target.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

static final String DEFAULT_ELEMENT_LOCAL_NAME
Local name of the element Target.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

static final QName DEFAULT_ELEMENT_NAME
QName of the element Target.

### SCHEMA_TYPE_LOCAL_NAME

static final String SCHEMA_TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### SCHEMA_TYPE_NAME

static final QName SCHEMA_TYPE_NAME
QName of the XSI type.

## Method Details

### getSubjects

SubjectsType getSubjects()
Gets the subjects of this target.

Returns:
  subjects of this target

### getResources

ResourcesType getResources()
Gets the resources of this target.

Returns:
  resources of this target

### getActions

ActionsType getActions()
Gets the actions of this target.

Returns:
  actions of this target

### getEnvironments

EnvironmentsType getEnvironments()
Gets the environments of this target.

Returns:
  environments of this target

### setSubjects

void setSubjects(SubjectsType subjects)
Sets the subjects in the target.

Parameters:
  `subjects` - the subject in the target

### setActions

void setActions(ActionsType actions)
Sets the actions in the target.

Parameters:
  `actions` - the subject in the target

### setResources

void setResources(ResourcesType resources)
Sets the resources in the target.

Parameters:
  `resources` - the subject in the target

### setEnvironments

void setEnvironments(EnvironmentsType environments)
Sets the environments in the target.

Parameters:
  `environments` - the subject in the target